import 'package:vrchat_dart/vrchat_dart_native.dart'
    if (dart.library.js) 'package:vrchat_dart/vrchat_dart_web.dart';
import 'package:vrchat_dart_generated/vrchat_dart_generated.dart';
import 'dart:convert';
import 'package:dio/dio.dart';

part 'api/auth.dart';

class VrchatDart {
  /// Access to the VRChat API
  // Ideally this wouldn't be a field, but to support both web and native
  // I'm not sure there's another way
  final VrchatDartImpl api;

  /// Initialize the VRChat API
  ///
  /// In Flutter, pass a [cookiePath] to persist cookie data
  ///
  /// But don't try to do that on web or bad things will happen.
  /// Cookies are handled automatically on web.
  VrchatDart({String? cookiePath})
      : this.api = VrchatDartImpl(cookiePath: cookiePath);
}
