import 'package:dio_cookie_manager/dio_cookie_manager.dart';
import 'package:cookie_jar/cookie_jar.dart';
import 'package:vrchat_dart_generated/vrchat_dart_generated.dart';

class VrchatDartImpl {
  /// Access to the raw generated API
  late final VrchatDartGenerated rawApi;

  /// Do not instantiate
  VrchatDartImpl({String? cookiePath}) {
    _init(cookiePath);
  }

  /// Set up persistent cookie storage for auth
  void _init(String? cookiePath) async {
    rawApi = VrchatDartGenerated(
      interceptors: [
        CookieManager(PersistCookieJar(storage: FileStorage(cookiePath))),
      ],
    );
  }
}
